Skip to main content
GET
/
machineidentities
/
{name}
Get Machine Identity
curl --request GET \
  --url https://use.hoop.dev/api/machineidentities/{name}
{
  "name": "backend-prod",
  "attributes": [
    "env:prod",
    "team:backend"
  ],
  "connection_names": [
    "prod-postgres",
    "api-proxy"
  ],
  "created_at": "2024-07-25T15:56:35.317601Z",
  "description": "Production backend service identity",
  "id": "BF997324-5A27-4778-806A-41EE83598494",
  "updated_at": "2024-07-25T15:56:35.317601Z"
}

Documentation Index

Fetch the complete documentation index at: https://mintlify.hoop.dev/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

name
string
required

Machine Identity Name

Response

OK

name
string
required
Example:

"backend-prod"

attributes
string[]
Example:
["env:prod", "team:backend"]
connection_names
string[]
Example:
["prod-postgres", "api-proxy"]
created_at
string
read-only
Example:

"2024-07-25T15:56:35.317601Z"

description
string
Example:

"Production backend service identity"

id
string<uuid>
read-only
Example:

"BF997324-5A27-4778-806A-41EE83598494"

updated_at
string
read-only
Example:

"2024-07-25T15:56:35.317601Z"